Summary:   Dependency check scripts
Name:      rutgers-repotools
Version:   0.2.2
Release:   1%{?dist}
License:   GPLv2+
Group:     System Environment/Base
URL:       http://cvs.rutgers.edu/cgi-bin/viewvc.cgi/trunk/orcan/rutgers-repotools/
Source0:   %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

Requires:  centos-release
Requires:  createrepo
Requires:  koji
Requires:  yum-utils

%description
This package contains the tools we use to check the dependencies of
new packages. This also installs a daily cron job which checks
the dependency situation in the rutgers tree and sends an email
if there is anything broken.


%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post
echo You need to create the SSL certificates for the koji user \"roji\" who will do
echo the dependency checks for us, in case it was not already created. The certificates
echo cannot be included in the RPM file for security reasons:
echo 
echo user=roji
echo koji add-user ${user}
echo koji grant-permission admin ${user}
echo sudo -s
echo cd /etc/pki/koji
echo openssl genrsa -out certs/${user}.key 2048
echo openssl req -config ssl.cnf -new -nodes -out certs/${user}.csr -key certs/${user}.key
echo openssl ca -config ssl.cnf -keyfile private/koji_ca_cert.key -cert koji_ca_cert.crt -out certs/${user}.crt -outdir certs -infiles certs/${user}.csr
echo cat certs/${user}.crt certs/${user}.key > ${user}.pem
echo 


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/checkrepo
%{_bindir}/pushpackage
%{_bindir}/rebuild-debugrepo
%{_datadir}/%{name}/
%config %{_sysconfdir}/cron.daily/depcheck_rutgers
%config(noreplace) %{_sysconfdir}/depcheck.ignore

# Why does %%_logdir macro not work?
%attr(775, root, studsys) %dir /var/log/%{name}/
%ghost /var/log/%{name}/*.log


%changelog
* Thu Jun 03 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 0.2.2-1.ru
- Update to 0.2.2

* Wed May 12 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 0.2.1-1.ru
- Update to 0.2.1

* Wed Apr 14 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 0.2.0-1.ru
- Update to 0.2.0

* Fri Apr 02 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 0.1.9-1.ru
- Update to 0.1.9

* Fri Mar 19 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 0.1.2-1.ru
- Update to 0.1.2

* Fri Mar 19 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 0.1.1-1.ru
- Update to 0.1.1

* Fri Mar 19 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 0.1-1.ru
- Initial build.
